#!/bin/bash

check() {
    # If no deo disk keys are installed,
    # only install deo on demand
    for i in /etc/deo/disks.d/*; do
        [ -e "$i" ] || return 255
    done

    return 0
}

depends() {
    echo crypt systemd network
    return 0
}

cmdline() {
    echo "rd.neednet=1"
}

install() {
    if ! dracut_module_included "systemd"; then
        derror "deo needs systemd in the initramfs"
        return 1
    fi

    cmdline > "${initdir}/etc/cmdline.d/99deo.conf"

    inst_multiple deo \
        "$systemdsystemunitdir/deo-askpassd.service" \
        "$systemdsystemunitdir/deo-askpassd.path" \
        /usr/lib/deo/plugins/askpassd.so \
        /usr/lib/deo/plugins/decrypt.so \
        /etc/deo/disks.d/*

    ln_r  "$systemdsystemunitdir/deo-askpassd.path" \
        "$systemdsystemunitdir/sysinit.target.wants/deo-askpassd.path"

    dracut_need_initqueue
}
